import { Component, ViewChild, Injector, Output, EventEmitter } from '@angular/core';
import { ModalDirective } from 'ngx-bootstrap';
import { GetFleetForViewDto, FleetDto } from '@shared/service-proxies/service-proxies';
import { AppComponentBase } from '@shared/common/app-component-base';

@Component({
    selector: 'viewFleetModal',
    templateUrl: './view-fleet-modal.component.html'
})
export class ViewFleetModalComponent extends AppComponentBase {

    @ViewChild('createOrEditModal', { static: true }) modal: ModalDirective;
    @Output() modalSave: EventEmitter<any> = new EventEmitter<any>();

    active = false;
    saving = false;

    item: GetFleetForViewDto;


    constructor(
        injector: Injector
    ) {
        super(injector);
        this.item = new GetFleetForViewDto();
        this.item.fleet = new FleetDto();
    }

    show(item: GetFleetForViewDto): void {
        this.item = item;
        this.active = true;
        this.modal.show();
    }

    close(): void {
        this.active = false;
        this.modal.hide();
    }
}
